LIGHTNING-WAITINVOICE(7)

NAME
lightning-waitinvoice - Command for waiting for specific payment

SYNOPSIS
waitinvoice label

DESCRIPTION
The waitinvoice RPC command waits until a specific invoice is paid, then returns that single entry as per listinvoice.

RETURN VALUE
On success, an invoice description will be returned as per lightning-listinvoice(7). The status field will be paid. If the invoice is deleted while unpaid, or the invoice does not exist, this command will return with an error with code -1. If the invoice expires before being paid, or is already expired, this command will return with an error with code -2, with the data being the invoice data as per listinvoice.

AUTHOR
Christian Decker <decker.christian@gmail.com> is mainly responsible.

SEE ALSO
lightning-waitanyinvoice(7), lightning-listinvoice(7), lightning-delinvoice(7), lightning-invoice(7)

RESOURCES
Main web site: https://github.com/ElementsProject/lightning Last updated 2019-04-07 14:23:17 CEST